Draft Facebinder/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "Nástroj Facebinder může být použit ve skriptech Pythonu a v makrech použitím následující funkce:")
(Updating to match new version of source page)
(16 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Draft_Facebinder|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
{{Docnav
|[[Draft_ShapeString|ShapeString]]
|[[Draft_BezCurve|Bezier Curve]]
|[[Draft_Module|Draft]]
|IconL=Draft_ShapeString.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_BezCurve.svg
}}


<div class="mw-translate-fuzzy">
==Description==
{{GuiCommand/cs|Name=Draft_Facebinder|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
</div>


==Popis==
Facebinder je velmi jednoduchý objekt zkonstruovaný z vybraných ploch jiných objektů. Je parametrický, můžete upravit původní objekt a objekt facebinder se úměrně změní. Tento objekt může bát použit například pro vytváření vysunutí kolekce ploch z jiných objektů. Typické použití je v architektonickém designu, vystavění objektu, který pokrývá několik zdí. Facebinder můžete po vytvoření posunovat a otáčet a všechno zůstává propojené s původními plochami

<div class="mw-translate-fuzzy">
Facebinder je velmi jednoduchý objekt zkonstruovaný z vybraných ploch jiných objektů. Je parametrický, můžete upravit původní objekt a objekt facebinder se úměrně změní. Tento objekt může být použit například pro vytváření vysunutí kolekce ploch z jiných objektů. Typické použití je v architektonickém designu, vytvoření objektu, který pokrývá několik zdí. Facebinder můžete po vytvoření posunovat a otáčet a všechno zůstává propojené s původními plochami
</div>

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.


[[Image:Draft facebinder example.jpg|400px]]
[[Image:Draft facebinder example.jpg|400px]]
{{Caption|Facebinder created from the faces of solid walls}}


==Použití==
==Použití==


<div class="mw-translate-fuzzy">
# Vyberte plochy objektů (pro výběr několika ploch použijte CTRL)
# Vyberte plochy objektů (pro výběr několika ploch použijte CTRL)
# Stiskněte tlačítko {{KEY| [[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}},nebo klávesy {{KEY|F}}, {{KEY|F}}
# Stiskněte tlačítko {{KEY| [[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}},nebo klávesy {{KEY|F}}, {{KEY|F}}
</div>


The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.
* To add a face, click on a face of a solid object in the 3D view, and then click on the {{Button|[[Image:Arch_Add.svg|16px]] Add}} button.
* To remove a face, select one of the sub-elements in the list, and then click on the {{Button|[[Image:Arch_Remove.svg|16px]] Remove}} button.
* Press {{KEY|Esc}} or the {{Button|OK}} button to complete the edition.

== Options ==
This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

== Properties ==
=== Data ===
* {{PropertyData|Extrusion}}: specifies an extrusion thickness to apply to all faces of the shape.
* {{PropertyData|Remove Splitter}}: if it is {{TRUE}} it tries to fuse the internal intersections of the Facebinder when it extruded.
* {{PropertyData|Sew}}: if it is {{TRUE}} it tries to perform a topological sewing operation on the Facebinder when it extruded.

=== View ===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].

<div class="mw-translate-fuzzy">
==Skriptování==
==Skriptování==
</div>


<div class="mw-translate-fuzzy">
Nástroj Facebinder může být použit ve skriptech Pythonu a v [[macros/cs|makrech]] použitím následující funkce:
Nástroj Facebinder může být použit ve skriptech Pythonu a v [[macros/cs|makrech]] použitím následující funkce:
</div>
<syntaxhighlight>
{{Code|code=
makeFacebinder ( selectionset )
Facebinder = makeFacebinder(selectionset)
</syntaxhighlight>
}}
* Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
<div class="mw-translate-fuzzy">
* Only selected faces are taken into account
* Vytvoří objekt facebinder z daného výběrového setu, což je seznam vybraných objektů, tak jak je vrací metoda FreeCADGui.Selection.getSelectionEx().
* Returns the newly created object
* Počítat se bude pouze s vybranými plochami.
* Vrací nově vytvořený objekt.
</div>


{{Code|code=
Example:
PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
<syntaxhighlight>
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
import Draft, FreeCADGui
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
mySelection = FreeCADGui.Selection.getSelectionEx()
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]
Draft.makeFacebinder(mySelection)
}}
</syntaxhighlight>
==Limitations==


The thickness of the Facebinder can be added by overwriting its {{incode|Extrusion}} attribute; the value is entered in millimeters.
* Not available before version 0.14

The placement of the Facebinder can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.

Příklad:
{{Code|code=
import FreeCAD
import FreeCADGui
import Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
}}

{{Docnav
|[[Draft_ShapeString|ShapeString]]
|[[Draft_BezCurve|Bezier Curve]]
|[[Draft_Module|Draft]]
|IconL=Draft_ShapeString.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_BezCurve.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}
<languages/>

Revision as of 18:07, 21 February 2020

Draft_Facebinder

Umístění Menu
Draft → Facebinder
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
F F
Představen ve verzi
-
Viz také
Nikdo

Popis

Facebinder je velmi jednoduchý objekt zkonstruovaný z vybraných ploch jiných objektů. Je parametrický, můžete upravit původní objekt a objekt facebinder se úměrně změní. Tento objekt může být použit například pro vytváření vysunutí kolekce ploch z jiných objektů. Typické použití je v architektonickém designu, vytvoření objektu, který pokrývá několik zdí. Facebinder můžete po vytvoření posunovat a otáčet a všechno zůstává propojené s původními plochami

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Facebinder created from the faces of solid walls

Použití

  1. Vyberte plochy objektů (pro výběr několika ploch použijte CTRL)
  2. Stiskněte tlačítko Facebinder,nebo klávesy F, F

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • ÚdajeExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • ÚdajeRemove Splitter: if it is true it tries to fuse the internal intersections of the Facebinder when it extruded.
  • ÚdajeSew: if it is true it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • PohledPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if PohledDisplay Mode is "Flat Lines".
  • PohledPattern Size: specifies the size of the Draft Pattern.

Skriptování

Nástroj Facebinder může být použit ve skriptech Pythonu a v makrech použitím následující funkce:

Facebinder = makeFacebinder(selectionset)
  • Vytvoří objekt facebinder z daného výběrového setu, což je seznam vybraných objektů, tak jak je vrací metoda FreeCADGui.Selection.getSelectionEx().
  • Počítat se bude pouze s vybranými plochami.
  • Vrací nově vytvořený objekt.
PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

The thickness of the Facebinder can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the Facebinder can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Příklad:

import FreeCAD
import FreeCADGui
import Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)